curl --request POST \
--url https://loadbalancer.{region}.basaltic.sh/v1/target-groups/{id}/targets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target": "d0e1f2a3-b4c5-4678-d9e0-f1a2b3c4d5e6",
"port": 8080
}
'import requests
url = "https://loadbalancer.{region}.basaltic.sh/v1/target-groups/{id}/targets"
payload = {
"target": "d0e1f2a3-b4c5-4678-d9e0-f1a2b3c4d5e6",
"port": 8080
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target: 'd0e1f2a3-b4c5-4678-d9e0-f1a2b3c4d5e6', port: 8080})
};
fetch('https://loadbalancer.{region}.basaltic.sh/v1/target-groups/{id}/targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"target": {
"id": "c9d0e1f2-a3b4-4567-c8d9-e0f1a2b3c4d5",
"target_group_id": "b8c9d0e1-f2a3-4456-b7c8-d9e0f1a2b3c4",
"target_ref": "d0e1f2a3-b4c5-4678-d9e0-f1a2b3c4d5e6",
"health": "healthy",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z",
"port": 8080,
"last_seen_at": "2026-01-15T09:31:00Z"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "CONFLICT",
"message": "Resource with this name already exists",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "IDEMPOTENCY_KEY_REUSED",
"message": "This Idempotency-Key was already used with a different request payload",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Anexar um destino a este grupo
target deve corresponder ao target_type do grupo: um endereço IP para ip, um id de instância de computação para instance. Um grupo function ainda não tem nenhum alvo, e um grupo pool-mode recebe seus backends do pool de instâncias — anexar a qualquer um é um erro ao invés de uma linha para a qual nada será roteado.
loadbalancer:AttachTarget. Consulte permissões de balanceadores de carga para obter a lista completa, o que cada uma abrange e um exemplo de política.Autorizações
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Cabeçalhos
Chave opcional gerada pelo cliente que torna uma criação segura para reprodução. A reintentar uma solicitação com a mesma chave retorna o resultado original literalmente em vez de criar um recurso duplicado. A reutilização de uma chave com um corpo de solicitação diferente é rejeitada (422); uma solicitação cuja chave ainda está sendo processada retorna 409. Os registros são honrados por 24 horas. Use um UUID ou token exclusivo semelhante.
255Parâmetros de caminho
UUID, CRN ou nome exato do escopo da conta
"b8c9d0e1-f2a3-4456-b7c8-d9e0f1a2b3c4"
Corpo
target é um IP literal para grupos de IP ou um UUID de instância, CRN ou nome exato de escopo de conta para grupos de instância.
Deve corresponder ao target_type do grupo: um endereço IP para ip, um UUID de instância de computação, CRN ou nome exato de escopo de conta para instance. Um ip ref tem que ser um endereço unicast roteável — loopback, link-local (incluindo o endpoint de metadados 169.254.169.254), multicast, e endereços não especificados são rejeitados.
"d0e1f2a3-b4c5-4678-d9e0-f1a2b3c4d5e6"
1 <= x <= 655358080
Resposta
Criado
Show child attributes
Show child attributes

